package com.muyu.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;

/**
 * @Author：qdm
 * @Package：com.muyu.domain
 * @Project：cloud-etlsdadawd
 * @name：Dictionary
 * @Date：2024/8/21 10:31
 */
public class Dictionary {
    private Integer  createBy;
    private Date  createTime;
    private Integer  updateBy;

    @Override
    public String toString() {
        return "Dictionary{" +
                "createBy=" + createBy +
                ", createTime=" + createTime +
                ", updateBy=" + updateBy +
                ", updateTime=" + updateTime +
                ", remark='" + remark + '\'' +
                ", id=" + id +
                ", code='" + code + '\'' +
                ", descriotion='" + descriotion + '\'' +
                ", typeId=" + typeId +
                '}';
    }

    public Integer getCreateBy() {
        return createBy;
    }

    public void setCreateBy(Integer createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(Integer updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getDescriotion() {
        return descriotion;
    }

    public void setDescriotion(String descriotion) {
        this.descriotion = descriotion;
    }

    public Integer getTypeId() {
        return typeId;
    }

    public void setTypeId(Integer typeId) {
        this.typeId = typeId;
    }

    public Dictionary(Integer createBy, Date createTime, Integer updateBy, Date updateTime, String remark, Long id, String code, String descriotion, Integer typeId) {
        this.createBy = createBy;
        this.createTime = createTime;
        this.updateBy = updateBy;
        this.updateTime = updateTime;
        this.remark = remark;
        this.id = id;
        this.code = code;
        this.descriotion = descriotion;
        this.typeId = typeId;
    }

    private Date updateTime;
    private String  remark;
    private Long  id;
    private String  code;
    private String  descriotion;
    private Integer  typeId;
}
