package com.muyu.cloud.etl.controller;

import com.muyu.cloud.etl.service.DictionaryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.xml.transform.Result;

/**
 * @Author：qdm
 * @Package：com.muyu.cloud.etl.controller
 * @Project：cloud-etlsdadawd
 * @name：DictionaryController
 * @Date：2024/8/21 10:34
 */
@RestController
@RequestMapping("/etl")
public class DictionaryController {
    @Autowired
    private DictionaryService dictionaryService;
    @PostMapping("/open/{id}")
    public Result open(@PathVariable Long id){
        return dictionaryService.open(id);
    }

    @PostMapping("/close/{id}")
    public Result close(@PathVariable Long id){
        return dictionaryService.close(id);
    }
}
