package com.muyu.cloud.etl.service.impl;

import com.muyu.cloud.etl.mapper.DictionaryMapper;
import com.muyu.cloud.etl.service.DictionaryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.xml.transform.Result;
import java.util.List;

/**
 * @Author：qdm
 * @Package：com.muyu.cloud.etl.service.impl
 * @Project：cloud-etlsdadawd
 * @name：DictionaryServiceImpl
 * @Date：2024/8/21 10:35
 */
@Service
public class DictionaryServiceImpl implements DictionaryService {
    @Autowired
    private DictionaryMapper dictionaryMapper;

    @Override
    public Result open(Long id) {
        return dictionaryMapper.open(id);
    }

    @Override
    public Result close(Long id) {
        return dictionaryMapper.close(id);
    }
}
